Bug 947052 - abrt-gui should not depend on gnome-abrt
Summary: abrt-gui should not depend on gnome-abrt
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Toman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: depchain
TreeView+ depends on / blocked
 
Reported: 2013-04-01 11:27 UTC by Christoph Wickert
Modified: 2015-03-23 00:41 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 20:24:14 UTC
Type: Bug


Attachments (Terms of Use)

Description Christoph Wickert 2013-04-01 11:27:23 UTC
Description of problem:
The recent abrt-2.1.2-2.fc18 update has pulled in a new package called gnome-abrt as dependency of abrt-gui.

AFIACS gnome-abrt is an alternative frontend for the GNOME desktop (it doesn't look very GNOME'ish btw) and as both gnome-abrt and abrt-gui provide the same functionality, there is no reason for one depend on the other. With the hard dependency, all users of abrt-gui will get gnome-abrt, no matter if they use GNOME or not.

Pulling in a new package during an update on a stable release can also be considered a violation of our update policy: "Updates should aim to fix bugs, and not introduce features, particularly when those features would materially affect the user or developer experience." Source:
https://fedoraproject.org/wiki/Updates_Policy#Stable_Releases

Version-Release number of selected component (if applicable):
abrt-2.1.2-2.fc18.x86_64

Comment 1 Karel Volný 2013-04-30 12:44:54 UTC
(In reply to comment #0)
> no matter if they use GNOME or not.

seems they want us either to stop using abrt, or to surrender to GnomeOS:

https://plus.google.com/u/0/106984072939419636032/posts/DXPnEMVEeTa

> Pulling in a new package during an update on a stable release can also be
> considered a violation of our update policy: "Updates should aim to fix
> bugs, and not introduce features, particularly when those features would
> materially affect the user or developer experience." Source:
> https://fedoraproject.org/wiki/Updates_Policy#Stable_Releases

in this case, not "can be considered" but it is a violation, as it forces completely different GUI; see also bug #958099

Comment 2 Jiri Moskovcak 2013-04-30 15:13:33 UTC
(In reply to comment #0)
> Description of problem:
> The recent abrt-2.1.2-2.fc18 update has pulled in a new package called
> gnome-abrt as dependency of abrt-gui.
> 
> AFIACS gnome-abrt is an alternative frontend for the GNOME desktop (it
> doesn't look very GNOME'ish btw) and as both gnome-abrt and abrt-gui provide
> the same functionality, there is no reason for one depend on the other. With
> the hard dependency, all users of abrt-gui will get gnome-abrt, no matter if
> they use GNOME or not.

- we've dropped abrt-gui (the binary) and replaced it with the gnome-abrt (which is just an unfortunate name and it's not really connected to gnome)

> 
> Pulling in a new package during an update on a stable release can also be
> considered a violation of our update policy: "Updates should aim to fix
> bugs, and not introduce features, particularly when those features would
> materially affect the user or developer experience." Source:
> https://fedoraproject.org/wiki/Updates_Policy#Stable_Releases
> 
> Version-Release number of selected component (if applicable):
> abrt-2.1.2-2.fc18.x86_64

- I'm sorry for this, but we don't want to maintain the old abrt-gui, if it's really that big problem we can put the old abrt-gui back (to F18), but there won't be much effort in fixing bugs in it, because our main focus is gnome-abrt

Comment 3 Fedora End Of Life 2013-12-21 12:35:30 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2014-02-05 20:24:14 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.